Parse error

This is an archive of the phpBB 2.0.x support forum. Support for phpBB2 has now ended.
Forum rules
Following phpBB2's EoL, this forum is now archived for reference purposes only.
Please see the following announcement for more information: viewtopic.php?f=14&t=1385785
Locked
TheHackMan
Registered User
Posts: 31
Joined: Sun Nov 19, 2006 4:05 am
Location: ......do you wana know?
Contact:

Parse error

Post by TheHackMan »

Your board's URL: http://www.9lordrescue.com/forum
Version of phpBB2: 2.0.23
Was this a fresh install or a(n) update/upgrade/conversion (please be specific)? fresh install
Was this an install through your host?
MODs you have installed: Super Quick Reply-1.3.5, Subforums Plus, Simple Topic Description, Last Topic on Index, (some BB codes)
When the problem started: After uploading the modified board from computer

Additionally, you may wish to provide the following (where applicable)
Template(s) used: WoWMaevahEmpire
Language(s) used: English


Whenever I got to make a new topic, reply to a thread, send a new PM, or reply to an old PM I keep getting the following error:
Parse error: syntax error, unexpected $end in /home/lordres/public_html/forum/includes/template.php(127) : eval()'d code on line 578
Anybody know what might be causing this?
Last edited by TheHackMan on Sun Mar 02, 2008 8:40 pm, edited 1 time in total.

User avatar
MartectX
Translator
Posts: 1324
Joined: Wed Dec 19, 2007 8:05 pm
Location: Marienplatz

Re: Parse error

Post by MartectX »

Did this appear suddenly? Did you install any mods? Did your host move your files or updated their software?

Please post the lines mentioned in the error message here!

User avatar
Jim_UK
Former Team Member
Posts: 18478
Joined: Tue Oct 12, 2004 5:36 pm
Location: Darwen N.West UK

Re: Parse error

Post by Jim_UK »

The most likely explanation is a wrongly edited file for a mod or that you have just updated from an earlier version to latest using the code changes (another mod) and made an error.

If you have just done an update to 2.0.23 then replace your backups and test that the functionality is restored. Now replace your edited files one at a time until you have the problem. That should identify the rogue file and you can then replace the backup whilst you check what went wrong with the edit. If you have just done the update then start by looking at the changes made to the PM system.

Jim
The truth is out there.
Unfortunately they will not let you anywhere near it!

TheHackMan
Registered User
Posts: 31
Joined: Sun Nov 19, 2006 4:05 am
Location: ......do you wana know?
Contact:

Re: Parse error

Post by TheHackMan »

Well I downloaded a fresh copy of phpBB 2.0.23 and I installed the mods on my local computer and then uploaded it all at once to my computer. Most of the mods used, I have used many times before on other boards with no problems. The "new" mods I am using however I have lised in my original post(after doing a quick edit to give a bit more info). The thing that is most puzzling however is in the includes/template.php file there is no line 578 or anything even close to the 500s

User avatar
Jim_UK
Former Team Member
Posts: 18478
Joined: Tue Oct 12, 2004 5:36 pm
Location: Darwen N.West UK

Re: Parse error

Post by Jim_UK »

eval()'d code
That is the giveaway to the problem.
There is an error in one of the template files.
Look at ones that you have edited recently.

Jim
The truth is out there.
Unfortunately they will not let you anywhere near it!

Locked

Return to “2.0.x Support Forum”